Page MenuHome

Tools: Per-tool Todo List
Confirmed, NormalPublicTO DO

Authored By
William Reynish (billreynish)
Aug 27 2018, 2:35 PM
Tokens
"Love" token, awarded by 0o00o0oo."Love" token, awarded by Okavango."Love" token, awarded by dpdp."Love" token, awarded by Jaydead."Love" token, awarded by A.Lex_3D."Love" token, awarded by dark999."100" token, awarded by craig_jones."Love" token, awarded by TheRedWaxPolice."Love" token, awarded by amonpaike."Love" token, awarded by manitwo."Love" token, awarded by billreynish."Love" token, awarded by Scaredyfish."Love" token, awarded by lcs_cavalheiro."Love" token, awarded by DotBow."Love" token, awarded by xrg."Love" token, awarded by razgriz286.

Description

The new unified toolbar and gizmo system in Blender 2.8 will make Blender more powerful, and allow us to reach new audiences.

However, to make this tool system successful, we must follow through and do a good job of actually implementing each tool, to make sure it works as expected, in a consistent and sensible way.

Here's a todo list which explains for each tool, what needs to be changed to make them work well. Each item is now in a subtask.

Order of importance:

Very Important - needs to be addressed in order for the system to be in a workable state
Somewhat Important - We really should add these features before we ship
Less Important - things that would be nice to add, which would make tools feel better, or give them more capabilities
? Incomplete - Tasks needing more details before implementing.

2.80

  • T57233 UV Editor Tools Todo
  • T57203 Transform gizmo: Scale handles and rotation handles overlap

2.81

Other nice tools-related issues

Related Objects

StatusSubtypeAssignedTask
ConfirmedDESIGNCampbell Barton (campbellbarton)
ConfirmedTO DOCampbell Barton (campbellbarton)
ConfirmedTO DOCampbell Barton (campbellbarton)
ResolvedTO DOCampbell Barton (campbellbarton)
ConfirmedTO DOCampbell Barton (campbellbarton)
ResolvedTO DOCampbell Barton (campbellbarton)
ResolvedTO DOCampbell Barton (campbellbarton)
ResolvedTO DOCampbell Barton (campbellbarton)
DuplicateTO DOHans Goudey (HooglyBoogly)
ConfirmedTO DOCampbell Barton (campbellbarton)
ResolvedDESIGNCampbell Barton (campbellbarton)
ResolvedTO DOCampbell Barton (campbellbarton)
ResolvedTO DOCampbell Barton (campbellbarton)
ArchivedTO DOCampbell Barton (campbellbarton)
ConfirmedTO DOCampbell Barton (campbellbarton)
ResolvedTO DOCampbell Barton (campbellbarton)
ResolvedTO DOCampbell Barton (campbellbarton)
ResolvedTO DOCampbell Barton (campbellbarton)
ConfirmedTO DOCampbell Barton (campbellbarton)
ConfirmedTO DOCampbell Barton (campbellbarton)
ConfirmedTO DOCampbell Barton (campbellbarton)
ConfirmedTO DOCampbell Barton (campbellbarton)
ResolvedTO DOCampbell Barton (campbellbarton)
ResolvedTO DOCampbell Barton (campbellbarton)
ResolvedTO DOCampbell Barton (campbellbarton)
ResolvedTO DOCampbell Barton (campbellbarton)
ConfirmedTO DOCampbell Barton (campbellbarton)
ResolvedTO DOCampbell Barton (campbellbarton)
ResolvedTO DOCampbell Barton (campbellbarton)
ResolvedTO DOCampbell Barton (campbellbarton)
ResolvedTO DOCampbell Barton (campbellbarton)
ConfirmedTO DOCampbell Barton (campbellbarton)
ConfirmedTO DOCampbell Barton (campbellbarton)
ConfirmedTO DOCampbell Barton (campbellbarton)
ConfirmedTO DOCampbell Barton (campbellbarton)
ConfirmedTO DOSergey Sharybin (sergey)
ArchivedTO DOCampbell Barton (campbellbarton)
ConfirmedTO DOCampbell Barton (campbellbarton)

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

"We could combine Extrude Region, Extrude Individual, Extrude Along Normals into same tool, and simply add a tool setting to switch between the various extrusion methods"

Yes, yes, yes please yes!

Reduces UI clutter by removing multiple tools and replacing it by one, and at the same times makes it easier and faster to contextually switch between desired results. Simply a Win/Win scenario.

William Reynish (billreynish) changed the status of subtask T57211: Annotation Tool Todo from Unknown Status to Resolved.Oct 15 2018, 2:24 PM
Antonio Vazquez (antoniov) changed the status of subtask T57211: Annotation Tool Todo from Resolved to Unknown Status.Oct 15 2018, 6:58 PM
William Reynish (billreynish) changed the status of subtask T57211: Annotation Tool Todo from Unknown Status to Resolved.Oct 15 2018, 9:21 PM
Campbell Barton (campbellbarton) changed the status of subtask T57228: Hair Comb Tool Todo from Unknown Status to Resolved.Oct 17 2018, 9:57 AM
Campbell Barton (campbellbarton) changed the status of subtask T57217: Shear Tool Todo from Unknown Status to Resolved.Oct 18 2018, 4:56 AM
William Reynish (billreynish) changed the status of subtask T57230: Sculpt Mode General Tools Todo from Unknown Status to Resolved.Nov 9 2018, 10:38 PM
William Reynish (billreynish) changed the status of subtask T57225: Armature Edit Extrude Tool Todo from Unknown Status to Resolved.Dec 10 2018, 6:46 PM
William Reynish (billreynish) changed the status of subtask T57224: Curve Tilt Tool Todo from Unknown Status to Resolved.
William Reynish (billreynish) changed the status of subtask T57221: Curve Extrude Tool Todo from Unknown Status to Resolved.
Campbell Barton (campbellbarton) changed the status of subtask T57207: Scale Cage Tool Todo from Unknown Status to Resolved.Feb 21 2019, 6:44 AM
Campbell Barton (campbellbarton) changed the status of subtask T57206: Scale Tool Todo from Unknown Status to Resolved.Feb 21 2019, 12:02 PM
Campbell Barton (campbellbarton) changed the status of subtask T57205: Rotate Tool Todo from Unknown Status to Resolved.Feb 26 2019, 11:18 AM
William Reynish (billreynish) changed the status of subtask T57209: Circle Select Tool Todo from Unknown Status to Resolved.Mar 1 2019, 1:38 PM
Campbell Barton (campbellbarton) changed the status of subtask T57209: Circle Select Tool Todo from Resolved to Unknown Status.Mar 1 2019, 2:54 PM
William Reynish (billreynish) changed the status of subtask T57222: Curve Shrink/Fatten Tool Todo from Unknown Status to Resolved.Mar 3 2019, 12:38 PM
William Reynish (billreynish) changed the status of subtask T57214: Spin Tool Todo from Resolved to Unknown Status.Mar 3 2019, 2:05 PM
William Reynish (billreynish) changed the status of subtask T57223: Curve Randomize Tool Todo from Unknown Status to Resolved.Mar 3 2019, 8:39 PM
William Reynish (billreynish) changed the status of subtask T57221: Curve Extrude Tool Todo from Resolved to Unknown Status.Mar 4 2019, 9:56 AM
William Reynish (billreynish) updated the task description. (Show Details)
William Reynish (billreynish) changed the status of subtask T57227: Hair Edit General Todo from Unknown Status to Resolved.Mar 6 2019, 2:32 PM
William Reynish (billreynish) updated the task description. (Show Details)
William Reynish (billreynish) changed the status of subtask T63419: Add Select to Drag Action menu from Unknown Status to Unknown Status.
Campbell Barton (campbellbarton) changed the status of subtask T57213: Loop Cut Tool Todo from Unknown Status to Unknown Status.Sep 2 2019, 9:01 AM